Bug 561924 - Alerts, Date modified should change when condition,property or notification changes
Alerts, Date modified should change when condition,property or notification c...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
http://auto-rhq.usersys.redhat.com:70...
:
Depends On:
Blocks: RHQ_Alerts rhq4
  Show dependency treegraph
 
Reported: 2010-02-04 12:27 EST by wes hayutin
Modified: 2013-09-02 03:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-02-04 12:27:17 EST
Description of problem:
Alerts, Date modified should change when condition,property or notification changes

Recreate
1. create an alert
2. wait a minute or two
3. edit the alert, 

take note of the Date Modified: 

change anything about the alert other than the
  a. name
  b. Description
  c. priority
  d. Active

like the condition or alert notification
make the change and save.

take note of the Date Modified:
the date modified has NOT changed.


Expected results:
When anything is modified regarding the alert, the date modified *should* change
Comment 1 wes hayutin 2010-02-17 08:27:12 EST
mass move to rhq_chainsaw tracker bug
Comment 2 wes hayutin 2010-02-18 09:49:46 EST
This bug has now been triaged by Chainsaw on 2/18. The expectation is the bug to be addressed by the end of sprint06 roughly 3/10/10.
Comment 3 John Mazzitelli 2011-02-18 15:07:26 EST
commit f896da0dabc1c1b55c9174acdec579a88c30b420

updating an alert def will also update the modified time too
Comment 4 Mike Foley 2011-05-26 09:07:06 EDT
this is verified.  created an alert.  made note of the modified time.  modified it.  reviewed the modification time.
Comment 5 Heiko W. Rupp 2013-09-02 03:19:16 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.